Bug 1268497 - [abrt] python-fedmsg-commands: fedmsg-config:3:<module>:ImportError: No module named 'fedmsg'
[abrt] python-fedmsg-commands: fedmsg-config:3:<module>:ImportError: No modul...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedmsg (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:134922da6ab42836d793ec8eecc...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 19:15 EDT by Martín Cigorraga
Modified: 2015-11-13 14:24 EST (History)
2 users (show)

See Also:
Fixed In Version: fedmsg-0.16.2-1.fc23 fedmsg-0.16.2-1.fc22 fedmsg-0.16.2-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-13 14:24:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (500 bytes, text/plain)
2015-10-02 19:15 EDT, Martín Cigorraga
no flags Details
File: environ (3.62 KB, text/plain)
2015-10-02 19:15 EDT, Martín Cigorraga
no flags Details

  None (edit)
Description Martín Cigorraga 2015-10-02 19:15:41 EDT
Description of problem:
Launched fedmsg-config from the console:

~> fedmsg-config 
Traceback (most recent call last):
  File "/usr/bin/fedmsg-config", line 3, in <module>
    import fedmsg.commands.config
ImportError: No module named 'fedmsg'

I get the same error when launching as a limited user as well as root.

Version-Release number of selected component:
python-fedmsg-commands-0.16.1-3.fc23

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python3 /usr/bin/fedmsg-config
executable:     /usr/bin/fedmsg-config
kernel:         4.2.2-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
fedmsg-config:3:<module>:ImportError: No module named 'fedmsg'

Traceback (most recent call last):
  File "/usr/bin/fedmsg-config", line 3, in <module>
    import fedmsg.commands.config
ImportError: No module named 'fedmsg'

Local variables in innermost frame:
__package__: None
__cached__: None
__doc__: None
__loader__: <_frozen_importlib.SourceFileLoader object at 0x7fc9595d0eb8>
__name__: '__main__'
__builtins__: <module 'builtins' (built-in)>
__file__: '/usr/bin/fedmsg-config'
__spec__: None
Comment 1 Martín Cigorraga 2015-10-02 19:15:45 EDT
Created attachment 1079551 [details]
File: backtrace
Comment 2 Martín Cigorraga 2015-10-02 19:15:46 EDT
Created attachment 1079552 [details]
File: environ
Comment 3 Ralph Bean 2015-10-02 21:15:21 EDT
I'm not sure how python3 was able to be used to start 'fedmsg-config'.  I have a feeling that's the source of the problem.
Comment 4 Martín Cigorraga 2015-10-02 21:18:21 EDT
Hello Ralph,

Could it be a packaging mistake? I'm sure I didn't mess with my Python setup, the F23 installation is a fairly clean (and fresh) one.
Comment 5 Fedora Update System 2015-10-02 22:05:59 EDT
fedmsg-0.16.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-76d0e120a1
Comment 6 Fedora Update System 2015-10-02 22:06:15 EDT
fedmsg-0.16.1-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a95067b5e8
Comment 7 Fedora Update System 2015-10-02 22:16:46 EDT
fedmsg-0.16.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-99889caa93
Comment 8 Ralph Bean 2015-10-02 22:50:29 EDT
Martín, please let me know if that 0.16.1-4 release fixes it for you.
Comment 9 Martín Cigorraga 2015-10-02 23:49:47 EDT
Everything's working as expected now, thanks!
Comment 10 Fedora Update System 2015-10-03 21:35:25 EDT
fedmsg-0.16.1-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a95067b5e8
Comment 11 Fedora Update System 2015-10-03 21:51:10 EDT
fedmsg-0.16.1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-76d0e120a1
Comment 12 Fedora Update System 2015-10-05 00:21:01 EDT
fedmsg-0.16.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-99889caa93
Comment 13 Fedora Update System 2015-10-08 11:17:03 EDT
fedmsg-0.16.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6ae7657504
Comment 14 Fedora Update System 2015-10-08 11:19:11 EDT
fedmsg-0.16.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-113bc844cf
Comment 15 Fedora Update System 2015-10-08 11:22:27 EDT
fedmsg-0.16.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a4f3738b25
Comment 16 Fedora Update System 2015-10-09 09:54:36 EDT
fedmsg-0.16.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-113bc844cf
Comment 17 Fedora Update System 2015-10-09 09:55:26 EDT
fedmsg-0.16.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6ae7657504
Comment 18 Fedora Update System 2015-10-09 18:53:45 EDT
fedmsg-0.16.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a4f3738b25
Comment 19 Fedora Update System 2015-10-11 12:02:20 EDT
fedmsg-0.16.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-10-19 21:54:30 EDT
fedmsg-0.16.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-10-24 08:33:40 EDT
fedmsg-0.16.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-52ae1f4c0c
Comment 22 Fedora Update System 2015-10-26 17:20:17 EDT
fedmsg-0.16.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-52ae1f4c0c
Comment 23 Fedora Update System 2015-11-13 14:24:36 EST
fedmsg-0.16.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.